import { NumericAxisBase } from "./NumericAxisBase";
import { NumericScaleMode } from "./NumericScaleMode";
import { DependencyProperty } from "igniteui-react-core";
import { NumericScaler } from "./NumericScaler";
import { Type } from "igniteui-react-core";
import { AxisView } from "./AxisView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare abstract class StraightNumericAxisBase extends NumericAxisBase {
    static $t: Type;
    constructor();
    a3(): AxisView;
    gy(a: AxisView): void;
    lq: StraightNumericAxisBaseView;
    ll: NumericScaleMode;
    static readonly l3: DependencyProperty;
    lp: NumericScaler;
    private static lz;
    protected lo(): NumericScaler;
    protected ln: NumericScaler;
    protected get_lm(): NumericScaler;
    protected set_lm(a: NumericScaler): void;
    lm: NumericScaler;
    k8(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    private l0;
    private lr;
    protected l1(): void;
    lw(): void;
    protected g0(a: any, b: string, c: any, d: any): void;
    private ly;
    private lx;
    protected ls(a: number, b: StraightNumericAxisBase): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StraightNumericAxisBaseView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: StraightNumericAxisBase;
    constructor(a: StraightNumericAxisBase);
    bh(): void;
}
